/**
 * The image controller
 * 
 * @param {$scope} $scope The $scope service from angular
 */
mainApp.controller('editImageCtrl', ['$scope', 'Image', 'Loading', 'Identity', 'upload', '$rootScope', function ($scope, Image, Loading, Identity, upload, $rootScope)
    {
        $scope.$on('editImageEvent', function (eventName, image, axioms) {
            $scope.image = image;
            $scope.data = {};
            $scope.data.id = image.id;
            if (image.protected) {
                $scope.data.protected = "true";

            } else {
                $scope.data.protected = "false";
            }
            $scope.data.name = image.name;
            $scope.data.visibility = image.visibility;

            $scope.axioms = axioms;
						$('#progress .bar').css(
										'width',
										'0%'
								);
            $('#editImageModal').modal('show');
						$("#fileupload").fileupload({
							formData: {task: "image", token: Identity.getToken(), action: "uploadImage", id: $scope.data.id},
						/* ... */
							progressall: function (e, data) {
								var progress = parseInt(data.loaded / data.total * 100, 10);
								$('#progress .bar').css(
										'width',
										progress + '%'
								);
							},
							add: function (e, data) {
									data.process();
									data.context = $('<button/>').text('Upload')
											.click(function () {
													$(this).detach();
													data.submit();
											});
									$("#fileupload").after(data.context);
							},
						});
        });

        $scope.applyEdition = function (id) {
            Image.updateImage($scope.data, function () {
                $rootScope.$broadcast("updateImageEvent");
                $('#editImageModal').modal('hide');

            });

        };

        $scope.getToken = function () {
            return Identity.getToken();
        }
			
				
    }]);
